package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyVoice;
import com.fs.company.vo.CompanyVoiceListVO;

/**
 * 企业通话Service接口
 *
 * @author fs
 * @date 2023-02-23
 */
public interface ICompanyVoiceService
{
    /**
     * 查询企业通话
     *
     * @param voiceId 企业通话ID
     * @return 企业通话
     */
    public CompanyVoice selectCompanyVoiceById(Long voiceId);

    /**
     * 查询企业通话列表
     *
     * @param companyVoice 企业通话
     * @return 企业通话集合
     */
    public List<CompanyVoice> selectCompanyVoiceList(CompanyVoice companyVoice);

    /**
     * 新增企业通话
     *
     * @param companyVoice 企业通话
     * @return 结果
     */
    public int insertCompanyVoice(CompanyVoice companyVoice);

    /**
     * 修改企业通话
     *
     * @param companyVoice 企业通话
     * @return 结果
     */
    public int updateCompanyVoice(CompanyVoice companyVoice);

    /**
     * 批量删除企业通话
     *
     * @param voiceIds 需要删除的企业通话ID
     * @return 结果
     */
    public int deleteCompanyVoiceByIds(Long[] voiceIds);

    /**
     * 删除企业通话信息
     *
     * @param voiceId 企业通话ID
     * @return 结果
     */
    public int deleteCompanyVoiceById(Long voiceId);

    CompanyVoice selectCompanyVoiceByCompanyId(Long companyId);

    int updateCompanyVoiceTimes(Long companyId, long times);

    int updateCompanyVoiceRemainTimes(Long companyId, long times);

    List<CompanyVoiceListVO> selectCompanyVoiceListVO(CompanyVoice companyVoice);
}
